Subject: bug#43645: 26.3; emacsclient -c does not open to correct window

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Sep 2020 18:21:27 +0200

Eli Zaretskii <[email-masked]> writes:

>> I'm now sure what you mean by "the first emacsclient instance is on top
>> also"?
>
> My guess is that the frame created by the first emacsclient invocation
> is on top (in the z-order) of that created by the second invocation.
> That's probably a WM thing, though.

Ah, right.  That does happen here, too, but I didn't notice because of
how my windows are arranged.

>> When I do this, I get a new Emacs frame with the *scratch* buffer
>> displayed
>
> Does this happen even if the second invocation of emacsclient uses a
> different file name, not the same test.txt as the first one?

No, if I say "emacsclient -c foo.txt", then a new frame is popped up
displaying the foo.txt buffer.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no